sensorfw: Unsigned Class Reference

sensorfw

Public Member Functions | Properties | Friends | List of all members
Unsigned Class Reference

QObject facae for TimedUnsigned. More...

`#include <unsigned.h>`

Inheritance diagram for Unsigned:

## Public Member Functions
| Unsigned ()
| Default constructor. More...
| Unsigned (const TimedUnsigned &unsignedData)
| Constructor. More...
| Unsigned (const Unsigned &data)
| Copy constructor. More...
const TimedUnsigned & | UnsignedData () const
| Returns the contained TimedUnsigned. More...
int | x () const
| Returns the value. More...
Unsigned & | operator= (const Unsigned &origin)
| Assignment operator. More...
bool | operator== (const Unsigned &right) const
| Comparison operator. More...

## Properties
int | x

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, Unsigned &data)
| Unmarshall Unsigned data from the D-Bus argument. More...

## Detailed Description

QObject facae for TimedUnsigned.

Definition at line 36 of file unsigned.h.

## Constructor & Destructor Documentation

## ◆ Unsigned() [1/3]

Unsigned::Unsigned | ( |  | ) |
| inline

Default constructor.

Definition at line 46 of file unsigned.h.

## ◆ Unsigned() [2/3]

Unsigned::Unsigned | ( | const TimedUnsigned & | unsignedData | ) |

Constructor.

Parameters

  unsignedData | Source object.

## ◆ Unsigned() [3/3]

Unsigned::Unsigned | ( | const Unsigned & | data | ) |

Copy constructor.

Parameters

  data | Source object.

## Member Function Documentation

## ◆ operator=()

Unsigned & Unsigned::operator= | ( | const Unsigned & | origin | ) |
| inline

Assignment operator.

Parameters

  origin | Source object for assigment.

Definition at line 79 of file unsigned.h.

## ◆ operator==()

bool Unsigned::operator== | ( | const Unsigned & | right | ) | const
| inline

Comparison operator.

Parameters

  right | Object to compare to.

Returns
  comparison result.

Definition at line 91 of file unsigned.h.

## ◆ UnsignedData()

const TimedUnsigned & Unsigned::UnsignedData | ( |  | ) | const
| inline

Returns the contained TimedUnsigned.

Returns
  Contained TimedUnsigned

Definition at line 66 of file unsigned.h.

## ◆ x()

int Unsigned::x | ( |  | ) | const
| inline

Returns the value.

Returns
  value.

Definition at line 72 of file unsigned.h.

## Friends And Related Function Documentation

## ◆ operator>>

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | Unsigned & | data
| ) |  |
| friend

Unmarshall Unsigned data from the D-Bus argument.

Parameters

  argument | dbus argument.
  data | unmarshalled data.

Returns
  dbus argument.

Definition at line 128 of file unsigned.h.

## Property Documentation

## ◆ x

int Unsigned::x
| read

Definition at line 128 of file unsigned.h.

The documentation for this class was generated from the following file:

- datatypes/unsigned.h